<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   close="titlewindowCloseHandler(event)"  
			   title="Detalhe de  Operação Recebimento Duplicata"
			   creationComplete="titlewindow1_creationCompleteHandler(event)"
			   maxWidth="1200" maxHeight="700">
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Metadata>
		[Event(name="OperacaoRecebimentoDuplicataExcluidoEvent")]
	</fx:Metadata>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			import spark.events.TitleWindowBoundsEvent;
			
			import br.com.desenv.nepalign.vo.MovimentoCaixadia;
			import br.com.desenv.nepalign.vo.OperacaoRecebimentoDuplicata;
			
			[Bindable]
			public var operacaoRecebimentoDuplicata : OperacaoRecebimentoDuplicata = null;
			[Bindable]
			public var listaMov : ArrayCollection = new ArrayCollection();
			
			private var operacaoRecebimentoDuplicataComponenteCadastro: OperacaoRecebimentoDuplicataComponenteCadastro;
			
			
			
			// Chama quando fecha a janela no X
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			

			protected function buttonAlterar_clickHandler(event:MouseEvent):void
			{
				operacaoRecebimentoDuplicataComponenteCadastro = new OperacaoRecebimentoDuplicataComponenteCadastro();
				operacaoRecebimentoDuplicataComponenteCadastro.operacaoRecebimentoDuplicata = this.operacaoRecebimentoDuplicata;
				operacaoRecebimentoDuplicataComponenteCadastro.addEventListener("OperacaoRecebimentoDuplicataAtualizadoEvent", atualizarOperacaoRecebimentoDuplicataPorAtualizacaoResultHandler);
				UPCPopUpManager.instance.addPopUp(operacaoRecebimentoDuplicataComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(operacaoRecebimentoDuplicataComponenteCadastro);
			}
			
			private function atualizarOperacaoRecebimentoDuplicataPorAtualizacaoResultHandler(e:Event):void
			{
				this.operacaoRecebimentoDuplicata = operacaoRecebimentoDuplicataComponenteCadastro.operacaoRecebimentoDuplicata;
			}
			
			protected function buttonExcluir_clickHandler(event:MouseEvent):void
			{
				Alert.yesLabel = "Sim";
				Alert.noLabel = "Não";
				Alert.show("Estas informações serão perdidas. Deseja EXCLUÍ-LAS assim mesmo?", "Exclusão", Alert.YES | Alert.NO, this, alertClickHandler);
			}
			
			
			private function alertClickHandler(event:CloseEvent):void{
				var outputMessage:String = "";
				switch (event.detail){
					case Alert.YES:
						var remoteObject: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("operacaoRecebimentoDuplicataService", excluirResultHandler);	
						remoteObject.getOperation("excluirOperacao").send(this.operacaoRecebimentoDuplicata,this.listaMov);
						break;
					case Alert.NO:
						break;
				}
			}			
			
			
			// Depois que exclui fecha a janela
			private function excluirResultHandler( event: ResultEvent ): void {
				this.dispatchEvent(new Event("OperacaoRecebimentoDuplicataExcluidoEvent"));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			
			protected function titlewindow1_creationCompleteHandler(event:FlexEvent):void
			{
				if(this.operacaoRecebimentoDuplicata!=null && !isNaN(this.operacaoRecebimentoDuplicata.id))
				{
					
					var remoteObjectCliente: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("movimentoCaixaDiaService",listarMovimentacaoCaixaDia);	
					remoteObjectCliente.getOperation("listarPorOperacao").send(this.operacaoRecebimentoDuplicata);	
				}
				
			}
			protected function listarMovimentacaoCaixaDia(event:ResultEvent):void
			{
			 this.listaMov = event.result as ArrayCollection;
			}
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<mx:DateFormatter id="dataPadrao" formatString="DD/MM/YYYY"/>
	</fx:Declarations>
	<mx:VBox>
		
	
	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024" width="650">
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Código:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{operacaoRecebimentoDuplicata.id}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Data Operacão:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{dataPadrao.format(operacaoRecebimentoDuplicata.dataOperacao)}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Usuário:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{operacaoRecebimentoDuplicata.usuario.id} - {operacaoRecebimentoDuplicata.usuario.nome}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Valor Pago:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{operacaoRecebimentoDuplicata.valorPagoFormatado}"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Valor Operação:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{operacaoRecebimentoDuplicata.valorOperacaoFormatado}"/>
			</mx:GridItem>
		</mx:GridRow>
		
		</mx:Grid>
	<mx:Grid>
		
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
			
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem horizontalAlign="center" >
				<mx:DataGrid  id="datagridListaPagamentos"  verticalScrollPolicy="off" horizontalScrollPolicy="on" dataProvider="{listaMov}" 
							  doubleClickEnabled="false"  width="650" maxWidth="750" rowCount="6">
					<mx:columns>
						<mx:DataGridColumn visible="false" dataField="id"/>
						<mx:DataGridColumn dataField="movimentoParcelaDuplicata.duplicata.id" headerText="Duplicata" resizable="true" width="40" />					
						<mx:DataGridColumn dataField="movimentoParcelaDuplicata.duplicataParcela.numeroParcela" headerText="Nº Parcela" resizable="true" width="40" />
						<mx:DataGridColumn dataField="movimentoParcelaDuplicata.duplicataParcela.cliente.nome" headerText="Cliente" resizable="true" width="190" />
						<mx:DataGridColumn dataField="movimentoParcelaDuplicata.formaPagamento.descricao" headerText="Forma Pagamento" resizable="true" width="130" />
						<mx:DataGridColumn dataField="movimentoParcelaDuplicata.valorParcelaFormatado" headerText="Valor Parcela" resizable="true" width="138" textAlign="right"/>
						<mx:DataGridColumn dataField="movimentoParcelaDuplicata.valorRecebidoFormatado" headerText="Valor Recebido" resizable="true" textAlign="right" width="138" />						
						<!--<mx:DataGridColumn dataField="quantidade" headerText="Medida" resizable="true" />										
						<mx:DataGridColumn dataField="precoTabela" headerText="Qnt." resizable="true" width="40"/>
						<mx:DataGridColumn dataField="precoVenda" headerText="Valor" resizable="true" width="80" />
						<mx:DataGridColumn dataField="custoProduto" headerText="Custo" resizable="false" width="80"/>
						<mx:DataGridColumn dataField="numeroLote" headerText="Número do Lote" resizable="true"/>
						<mx:DataGridColumn dataField="dataValidade" headerText="Data de Validade" resizable="true" labelFunction="DsvObjectUtil.formatDate"/>
						<mx:DataGridColumn dataField="dataFabricacao" headerText="Data de Fabricação" resizable="true" labelFunction="DsvObjectUtil.formatDate"/>
						-->
					</mx:columns>
					
				</mx:DataGrid>
			</mx:GridItem>
		</mx:GridRow>
		
		<mx:GridRow>
			<mx:GridItem horizontalAlign="center" colSpan="2">
				<s:Button id="buttonAlterar" click="buttonAlterar_clickHandler(event)" label="Alterar" visible="false"/>
				<s:Button id="buttonExcluir" click="buttonExcluir_clickHandler(event)" label="Excluir"/>
			</mx:GridItem>	
		</mx:GridRow>
		
	</mx:Grid>
	</mx:VBox>
</s:TitleWindow>